--- huskybse/huskymak.cfg.orig	2024-02-25 11:11:11 UTC
+++ huskybse/huskymak.cfg
@@ -19,7 +19,7 @@ BINDIR=$(PREFIX)/bin
 BINDIR=$(PREFIX)/bin
 
 # Where manual pages should be placed.
-MANDIR=$(PREFIX)/man
+MANDIR=$(PREFIX)/share/man
 
 # Where include files should be placed (don't worry, no files will be over-
 # written, Husky will use its own subdirectories below this directory):
@@ -38,7 +38,7 @@ CFGDIR=$(PREFIX)/etc/fido
 # will not be compiled, and you won't know how to use the software ;-).
 # You should take care that this directory is listed in the INFOPATH 
 # environment variable (if necessary, modify your /etc/profile file).
-# INFODIR=/usr/local/info
+INFODIR=$(PREFIX)/info
 
 # The same as above, but for DVI documentation. This requires a working
 # "texi2dvi" program.
@@ -46,7 +46,7 @@ CFGDIR=$(PREFIX)/etc/fido
 
 # The same as above, but for HTML documentation. This requires a working
 # "texi2html" program.
-#HTMLDIR=$(PREFIX)/lib/husky
+HTMLDIR=$(PREFIX)/share/doc/husky
 
 # Name of the config file of MSGED TE:
 MSGEDCFG=\"$(CFGDIR)/msged.cfg\"
@@ -54,7 +54,7 @@ MSGEDCFG=\"$(CFGDIR)/msged.cfg\"
 
 ##############################################################################
 #PART 2: PLATFORM DEPENDENT SECTION
-#If you are running Linux with GNU gcc, you don't need to modify anything in
+#If you are running Linux with GNU cc, you don't need to modify anything in
 #the following sections. If you are running any other operating system or using
 #any other C compiler, you should check the values. For some operating
 #systems, the comments contain information on what you need to change.
@@ -66,10 +66,10 @@ MSGEDCFG=\"$(CFGDIR)/msged.cfg\"
 ##############################################################################
 
 # C-Compiler
-CC=gcc
+#CC=cc
 
 # C++-Compiler
-CXX=g++
+#CXX=c++
 
 #Msged needs access to a termcap library. Define its name here.
 #On Linux, termcap is integrated into ncurses:
@@ -79,7 +79,7 @@ TERMCAP=ncurses
 #TERMCAP=terminfo
 
 # C++-Compiler
-GPP=g++
+GPP=c++
 
 # Pascal-Compiler (the compiler is optional, but the value of this
 # variable must be defined even if you don't have a Pascal compiler).
@@ -89,20 +89,20 @@ AR=ar
 AR=ar
 
 # how to build shared libraries
-# use gcc on Linux and FreeBSD
-# use ld on BeOS and also try ld if gcc does not work for you
-# only "gcc" will put so version numbers into the shared object 
+# use cc on Linux and FreeBSD
+# use ld on BeOS and also try ld if cc does not work for you
+# only "cc" will put so version numbers into the shared object 
 # On Solaris use "-G" as additional linkerflag !!!!!!!
 # MKSHARED=ld
 # LD=ld -G
-MKSHARED=gcc 
+MKSHARED=$(CC)
 
 # remove file
 RM=rm
 
 # The "install" program.
 # On Linux and FreeBSD/NetBSD, use this:
-INSTALL=install
+INSTALL=
 # On Tru64 Unix, use this:
 # INSTALL=installbsd
 # On Solaris, use this:
@@ -116,7 +116,7 @@ MKDIR=mkdir
 
 # update dynamic library cache
 # If your operating system does not need this, you may comment out this line.
-LDCONFIG=/sbin/ldconfig
+#LDCONFIG=/sbin/ldconfig
 
 # rename a file
 MV=mv
@@ -139,8 +139,8 @@ OSTYPE=UNIX
 OSTYPE=UNIX
 
 # short name of operating system (used for PID lines etc.)
-UNAME=LNX
-#UNAME=BSD
+#UNAME=LNX
+UNAME=BSD
 #UNAME=OS2
 #UNAME=BEOS
 
@@ -151,14 +151,14 @@ SHORTNAMES=0
 SHORTNAMES=0
 
 # Perl support
-PERL=0
+PERL=1
 
 # ZipInternal packer
 USE_HPTZIP=0
 
 # The DYNLIBS switch controls if dynamic or static linkage is used.
 # This is tricky. If you set DYNLIBS=1, dynamic libraries (.so files)
-# will be generated and used. This will only work if you are running "gcc"
+# will be generated and used. This will only work if you are running "cc"
 # on Linux, FreeBSD or another real Unix operating system.
 
 # On other systems, you must set DYNLIBS=0. Even on Linux, you might 
@@ -179,7 +179,7 @@ WARNFLAGS=-Wall
 WARNFLAGS=-Wall
 
 # C-compiler: optimization
-OPTCFLAGS=-c -s -O3 -fomit-frame-pointer -fstrength-reduce -fPIC
+OPTCFLAGS=-c -fPIC
 
 ifeq ( $(DYNLIBS), 0 )
   ifeq ($(OSTYPE), UNIX)
@@ -216,29 +216,22 @@ DEBLFLAGS=-g
 DEBLFLAGS=-g
 
 # options for installing programs
-OPTIBOPT=-c -s -m 555
-DEBIBOPT=-c -m 555
+IBOPT=$(BSD_INSTALL_PROGRAM)
 
-ifeq ($(DEBUG), 1)
-  IBOPT = $(DEBIBOPT)
-else
-  IBOPT = $(OPTIBOPT)
-endif
-
 # options for installing scripts
-ISOPT=-c -m 555
+ISOPT=$(BSD_INSTALL_SCRIPT)
 
 # options for installing shared libs
-ILOPT=-c -m 555
+ILOPT=$(BSD_INSTALL_LIB)
 
 # options for installing static libs
-ISLOPT=-c -m 444
+ISLOPT=$(BSD_INSTALL_LIB)
 
 # options for installing man-pages
-IMOPT=-c -m 444
+IMOPT=$(BSD_INSTALL_MAN)
 
 # options for installing includes
-IIOPT=-c -m 444
+IIOPT=$(BSD_INSTALL_DATA)
 
 # options for making links
 LNOPT=-sf
